#include <iostream>

class C {
	public:
		void showC();
};

class A {
private:
	int a;

public:
	A(int a) { this->a = a; }
	// Zaprzyjazniona jest jedna metoda z klasy C
	friend void C::showC();

    // Zaprzyjazniona jest jedna metoda globalna
    friend void showA(A& x);
};

void C::showC(){
    // Metoda ma dostep do atrybutow prywatnych klasy A, bo jest z nia zaprzyjazniona    
    A a1(5);
	std::cout << "A::a=" << a1.a << std::endl;
};

void showA(A& x)
{
    // Metoda ma dostep do atrybutow prywatnych klasy A, bo jest z nia zaprzyjazniona  
    std::cout << "A::a=" << x.a << std::endl;
}


int main()
{

    C c;
    c.showC();

    A a(6);
    showA(a);
}
